import 'package:flutter/widgets.dart';

class StatusService extends ChangeNotifier {
  String _lastStatus = 'None';
  DateTime _lastStatusTime = DateTime.now();

  String get status => _lastStatus;

  DateTime get statusTime => _lastStatusTime;

  void setStatus(String status) {
    _lastStatus = status;
    _lastStatusTime = DateTime.now();
    notifyListeners();
  }
}
